Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.27 veröffentlicht (22.06.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
BBcodes im erstellen des Beitrags sichtbar machen
#1
Ich hätte eine neue Plugin idde, und zwar:

BBcodes in den Beiträgen sichtbar machen bevor man sie abschickt.
Also das wäre zum beispiel so:

So sieht es beim erstellen des Beitrags aus, wenn man einen BBcode verwendet:

Code:
[b] test [/b]

Und meine Idde wäre es, so anzuzeigen:

test

Direkt fettgedruckt.
So kann man schon schauen wie der Beitrag mit BBcodes aussieht, und danach abschicken.
Ich hoffe mal, dass hier nicht die gleiche frage geöffnet wurde, hab jedenfalls nichts gefunden.
Zitieren
#2
Meinst du WYSIWYG? Dazu gibt es schon diverse Themen.
Wozu gibt es denn die Beitrags-Vorschau?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
Ja genau das meine ich.
Naja WYSIWYG wäre schöner als nur die Beitrags Vorschau.
Und so ein WYSIWYG hab ich mal in einem anderen MyBB Forum gesehn, aber da kostet das Geld.
Zitieren
#4
Hallo,
wo kostet das denn Geld?

Es gibt glaube ich 3 (bekannte) Editoren, welche BBCode alá WYSIWYG darstellen können. Die lassen sich alle mit ein paar Templateänderunge in MyBB einbauen - also auch ohne Plugin etc.

Die untersützten BBCodes kann man bei allen mit ein paar Handgriffen an die eigenen Bedürfnisse (und MyCodes) anpassen.

Hauptproblem ist bei allen Editoren:

- Smilies werden nicht mehr nativ unterstützt
- Attachments können nicht in den Editor eingefügt werden
- die Beitragsverknüpfung in Zitaten (grüner Pfeil) funktioniert nicht
- die unterstützten BBCodes sind starr, d.h. man muss den Editor (meist die JS-Datei) immer per Hand anpassen, anstelle, dass der Editor sie von MyBB selbt bezieht
Zitieren
#5
Also hier:

http://community.mybboard.net/thread-16247.html

Wenn man da auf den Download link geht kommt eine Seite, wo man Produkte kaufen kann. :/
Zitieren
#6
(15.04.2010, 22:34)Rubin schrieb: Also hier:

http://community.mybboard.net/thread-16247.html

Wenn man da auf den Download link geht kommt eine Seite, wo man Produkte kaufen kann. :/
Naja, das Plugin ist zusätzlich für 1.2.3 und du hast bestimmt 1.4.12. Deshalb würde es garnicht funktionieren.
Zitieren
#7
Die WYSIWYG Editoren für MyBB taugen nichts, du wirst später nur probleme mit ihnen haben.
Zitieren
#8
Oft muss man auch HTML aktivieren... Wink
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#9
(17.04.2010, 17:47)StefanT schrieb: Oft muss man auch HTML aktivieren... Wink
Und das ist garnicht so ne gute Idee.
Zitieren